package com.ghy.order.service.impl;

import com.ghy.common.core.text.Convert;
import com.ghy.order.domain.OrderAssessLabel;
import com.ghy.order.mapper.OrderAssessLabelMapper;
import com.ghy.order.service.IOrderAssessLabelService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 订单与评价标签关联关系Service业务层处理
 *
 * @author ydq
 * @date : 2022-10-08 22:08
 */
@Service
public class OrderAssessLabelServiceImpl implements IOrderAssessLabelService
{
    @Resource
    private OrderAssessLabelMapper orderAssessLabelMapper;

    /**
     * 查询订单与评价标签关联关系
     *
     * @param id 订单与评价标签关联关系主键
     * @return 订单与评价标签关联关系
     */
    @Override
    public OrderAssessLabel selectOrderAssessLabelById(Long id)
    {
        return orderAssessLabelMapper.selectOrderAssessLabelById(id);
    }

    /**
     * 查询订单与评价标签关联关系列表
     *
     * @param orderAssessLabel 订单与评价标签关联关系
     * @return 订单与评价标签关联关系
     */
    @Override
    public List<OrderAssessLabel> selectOrderAssessLabelList(OrderAssessLabel orderAssessLabel)
    {
        return orderAssessLabelMapper.selectOrderAssessLabelList(orderAssessLabel);
    }

    /**
     * 新增订单与评价标签关联关系
     *
     * @param orderAssessLabel 订单与评价标签关联关系
     * @return 结果
     */
    @Override
    public int insertOrderAssessLabel(OrderAssessLabel orderAssessLabel)
    {
        return orderAssessLabelMapper.insertOrderAssessLabel(orderAssessLabel);
    }

    /**
     * 修改订单与评价标签关联关系
     *
     * @param orderAssessLabel 订单与评价标签关联关系
     * @return 结果
     */
    @Override
    public int updateOrderAssessLabel(OrderAssessLabel orderAssessLabel)
    {
        return orderAssessLabelMapper.updateOrderAssessLabel(orderAssessLabel);
    }

    /**
     * 批量删除订单与评价标签关联关系
     *
     * @param ids 需要删除的订单与评价标签关联关系主键
     * @return 结果
     */
    @Override
    public int deleteOrderAssessLabelByIds(String ids)
    {
        return orderAssessLabelMapper.deleteOrderAssessLabelByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除订单与评价标签关联关系信息
     *
     * @param id 订单与评价标签关联关系主键
     * @return 结果
     */
    @Override
    public int deleteOrderAssessLabelById(Long id)
    {
        return orderAssessLabelMapper.deleteOrderAssessLabelById(id);
    }
}
